svn commit: samba r6568 - in branches/SAMBA_4_0/source: build/smb_build script/tests

jelmer at samba.org jelmer at samba.org
Mon May 2 09:44:59 GMT 2005


Author: jelmer
Date: 2005-05-02 09:44:59 +0000 (Mon, 02 May 2005)
New Revision: 6568

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=6568

Log:
Some more small 'make test' fixes

Modified:
   branches/SAMBA_4_0/source/build/smb_build/makefile.pm
   branches/SAMBA_4_0/source/script/tests/selftest.sh


Changeset:
Modified: branches/SAMBA_4_0/source/build/smb_build/makefile.pm
===================================================================
--- branches/SAMBA_4_0/source/build/smb_build/makefile.pm	2005-05-01 20:55:55 UTC (rev 6567)
+++ branches/SAMBA_4_0/source/build/smb_build/makefile.pm	2005-05-02 09:44:59 UTC (rev 6568)
@@ -153,10 +153,9 @@
 test: all
 	./script/tests/selftest.sh $(prefix)
 	
-SOCKET_WRAPPER_DIR=`pwd`/sockdir
+export SOCKET_WRAPPER_DIR=$(shell pwd)/sockdir
 
 test-swrap: all
-	export SOCKET_WRAPPER_DIR
 	mkdir -p $(SOCKET_WRAPPER_DIR)
 	./script/tests/selftest.sh $(prefix)
 

Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-05-01 20:55:55 UTC (rev 6567)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-05-02 09:44:59 UTC (rev 6568)
@@ -3,7 +3,6 @@
 REALM=$DOMAIN
 PASSWORD=penguin
 SRCDIR=`pwd`
-SOCKET_WRAPPER_DIR=$PREFIX/sockdir
 TMPDIR=$PREFIX/tmp
 
 if [ $# -lt 1 ]
@@ -17,7 +16,6 @@
 rm -f $PREFIX/private/*
 ./setup/provision.pl --quiet --outputdir $PREFIX/private --domain $DOMAIN --realm $REALM --adminpass $PASSWORD
 
-mkdir -p $SOCKET_WRAPPER_DIR
 cat >$PREFIX/lib/smb.conf <<EOF
 [global]
 	workgroup = $DOMAIN
@@ -31,9 +29,9 @@
 cd $PREFIX
 ./sbin/smbd
 sleep 2
-$PREFIX/bin/smbtorture ncalrpc: LOCAL-*
-$SRCDIR/script/tests/test_rpc.sh localhost administrator $PASSWORD $DOMAIN
-$SRCDIR/script/tests/test_binding_string.sh localhost administrator $PASSWORD $DOMAIN
-$SRCDIR/script/tests/test_echo.sh localhost administrator $PASSWORD $DOMAIN
-$SRCDIR/script/tests/test_posix.sh //localhost/tmp administrator $PASSWORD 
+$SRCDIR/script/tests/test_rpc.sh localhost administrator $PASSWORD $DOMAIN || exit 1
+$SRCDIR/script/tests/test_binding_string.sh localhost administrator $PASSWORD $DOMAIN || exit 1
+$SRCDIR/script/tests/test_echo.sh localhost administrator $PASSWORD $DOMAIN || exit 1
+$SRCDIR/script/tests/test_posix.sh //localhost/tmp administrator $PASSWORD || exit 1
+$PREFIX/bin/smbtorture ncalrpc: LOCAL-* || exit 1
 kill `cat $PREFIX/var/locks/smbd.pid`



More information about the samba-cvs mailing list